Loading...
Searching...
No Matches
generic_file.hpp File Reference
Private

class generic_file is defined here as well as class fichier More...

`#include "../my_config.h"`
`#include "proto_generic_file.hpp"`
`#include "integers.hpp"`
`#include "crc.hpp"`
`#include "infinint.hpp"`
`#include "gf_mode.hpp"`
`#include <string>`

Go to the source code of this file.

## Classes

class | libdar::generic_file
| this is the interface class from which all other data transfer classes inherit More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

class generic_file is defined here as well as class fichier

the generic_file interface is widely used in libdar it defines the standard way of transmitting data between different part of the library

- compression engine
- encryption engine
- exchange through pipes
- slicing
- dry run operations
- file access

Definition in file generic_file.hpp.